"\n",
NULL,
"NAME\n",
"     xarchie - X11 browser interface  to\n",
"     archie, version 2.0.9\n",
"\n",
NULL,
"SYNOPSIS\n",
"     xarchie [X Toolkit options]\n",
"             [-host host]\n",
"             [-search type|-e|-c|-s|-r|-ec|-es|-er]\n",
"             [-sort type|-t|-w]\n",
"             [-maxhits num]\n",
"             [-offset num] [-nice\n",
"             lev|-N lev] [-noscroll]\n",
"             [-mono|-gray|-color]\n",
"             [-debug num|-D num]\n",
"             [-help|-?]\n",
"\n",
NULL,
"DESCRIPTION\n",
"     Xarchie is an X11 browser interface\n",
"     to  the Archie Internet information\n",
"     system using the  Prospero  virtual\n",
"     filesystem  protocol.   Archie pro-\n",
"     vides   information   about   files\n",
"     available  for  ftp anywhere on the\n",
"     Internet;  Xarchie  displays   this\n",
"     information  using  an easy-to-use,\n",
"     point-and-click interface.  Xarchie\n",
"     allows  you  to further explore ftp\n",
"     sites  by   examining   directories\n",
"     returned   as  query  matches,  and\n",
"     allows  you   to   retrieve   files\n",
"     located   this   way.   Xarchie  is\n",
"     designed (like most X applications)\n",
"     to be highly customizable, allowing\n",
"     you to tailor the look-and-feel  of\n",
"     the tool to your own preferences.\n",
"\n",
"     This document is  broken  into  two\n",
"     parts.   First,  the  USER'S  GUIDE\n",
"     describes Archie and  Xarchie,  and\n",
"     covers both Basic and Advanced Xar-\n",
"     chie usage. Second,  the  REFERENCE\n",
"     MANUAL provides all the information\n",
"     needed to  customize  Xarchie.  You\n",
"     can also browse this document using\n",
"     the Xarchie Help facility.\n",
"\n",
"     To report problems or bugs,  please\n",
"     see the section \"Reporting Bugs\" in\n",
"     the REFERENCE MANUAL section.\n",
"\n",
NULL,
"USER'S GUIDE\n",
"     The User's Guide  section  of  this\n",
"     manual  describes  the  Archie ser-\n",
"     vice, the Xarchie client,  and  how\n",
"     to  use Xarchie to access resources\n",
"     available for FTP on the Internet.\n",
"\n",
NULL,
" What is Archie?\n",
"     The Archie information system is  a\n",
"     network-based    information   tool\n",
"     offering proactive  data  retrieval\n",
"     and indexing for widely distributed\n",
"     collections of data.\n",
"\n",
"     Perhaps the best known  application\n",
"     of the Archie system is to maintain\n",
"     the  Internet  Archives   database.\n",
"     This  database,  already  available\n",
"     from a number of service  providers\n",
"     across the Internet, currently con-\n",
"     tains the names of  over  2,100,000\n",
"     files  at  over 1,000 anonymous FTP\n",
"     archive sites.   Using  this  data-\n",
"     base,   users  can  rapidly  locate\n",
"     needed files without  the  need  to\n",
"     log onto dozens or even hundreds of\n",
"     machines. Archie  servers  offering\n",
"     this   database  currently  receive\n",
"     over 50,000 queries per day.  It is\n",
"     this   database  that  the  Xarchie\n",
"     client accesses,  as  described  in\n",
"     the  next section, using one of the\n",
"     many   independently   owned    and\n",
"     operated  Archie servers around the\n",
"     world.\n",
"\n",
"     The Archie system is much more than\n",
"     the   Internet  Archives  database.\n",
"     For more information contact Bunyip\n",
"     Information  Systems  at (514) 398-\n",
"     3709  or  (514)  398-811  or  email\n",
"     \"info@bunyip.com\".\n",
"\n",
NULL,
" What is Xarchie?\n",
"     Xarchie is an X11 browser interface\n",
"     to  the  Archie  Internet  Archives\n",
"     database using the Prospero virtual\n",
"     filesystem  protocol.   Archie pro-\n",
"     vides   information   about   files\n",
"     available  for  ftp anywhere on the\n",
"     Internet;  Xarchie  displays   this\n",
"     information  using  an easy-to-use,\n",
"     point-and-click interface.  Xarchie\n",
"     allows  you  to further explore ftp\n",
"     sites  by   examining   directories\n",
"     returned   as  query  matches,  and\n",
"     allows  you   to   retrieve   files\n",
"     located this way.\n",
"\n",
"     Xarchie is designed  (like  most  X\n",
"     applications)  to be highly custom-\n",
"     izable, allowing you to tailor  the\n",
"     look-and-feel  of  the tool to your\n",
"     own preferences. See the  REFERENCE\n",
"     MANUAL for details.\n",
"\n",
"     Users should be aware that the Xar-\n",
"     chie  client accesses a server that\n",
"     is  shared  with  users  on   other\n",
"     hosts.  As such, submitting long or\n",
"     large  numbers  of  queries  during\n",
"     peak periods not only increases the\n",
"     time that you have to  wait  for  a\n",
"     response, but it increases the time\n",
"     that  others  have  to  wait   too.\n",
"     Please read about the -nice option,\n",
"     the  niceLevel  resource,  and  the\n",
"     \"Nice  Level\" setting before making\n",
"     large queries.   Also,  you  should\n",
"     use  the  closest  possible host to\n",
"     save long-distance network traffic.\n",
"     Abusers  of  the  service  may find\n",
"     their   access   revoked    without\n",
"     notice.\n",
"\n",
NULL,
" The Xarchie Display\n",
"     Xarchie  uses  several  conventions\n",
"     regarding menus and button names:\n",
"\n",
"     -    Clicking  on  a  button  whose\n",
"          name  ends with a \">\" will pop\n",
"          up  a  menu  from  which   you\n",
"          should   select   the  desired\n",
"          action.\n",
"\n",
"     -    Clicking on  or  selecting  an\n",
"          item  whose name ends in \"...\"\n",
"          will pop up a panel that  will\n",
"          let  you  perform  the desired\n",
"          operation.\n",
"\n",
"     A label with neither of these  suf-\n",
"     fixes  indicates  that  the  action\n",
"     will be  taken  without  subsequent\n",
"     interaction.\n",
"\n",
"     Xarchie's display is  divided  into\n",
"     three  horizontal  areas.  The  top\n",
"     pane is a control  panel  providing\n",
"     the following buttons:\n",
"\n",
"     File:\n",
"          Clicking   on   this    button\n",
"          presents  the  File Menu, from\n",
"          which you can select a variety\n",
"          of  file-related operations to\n",
"          be described later.  The  File\n",
"          Menu  operations  can  also be\n",
"          invoked by  holding  down  the\n",
"          Meta  key and typing the first\n",
"          letter of the operation's name\n",
"          (e.g., Meta-Q to quit).\n",
"\n",
"     Settings:\n",
"          Clicking   on   this    button\n",
"          presents  the  Settings  Menu,\n",
"          whose   operations   will   be\n",
"          described   in  the  \"Advanced\n",
"          Usage\" section.\n",
"\n",
"     Query:\n",
"          This button presents the Query\n",
"          Menu,  used to send queries to\n",
"          Archie.  Its operation will be\n",
"          described shortly.\n",
"\n",
"     Abort:\n",
"          When active during a query  or\n",
"          retrieval,  this button allows\n",
"          you to abort the operation.\n",
"\n",
"     Help:\n",
"          Clicking on this  button  pops\n",
"          up   the   Help  Panel,  which\n",
"          allows  you  to  browse   this\n",
"          document on-line.\n",
"     Finally, the area labelled \"Status\"\n",
"     is   used  to  provide  information\n",
"     about the progress of  a  query  or\n",
"     other informative messages.\n",
"\n",
"     The  middle  pane  of  the  Xarchie\n",
"     display   functions   as   a  host-\n",
"     location-file browser. That is, the\n",
"     leftmost  pane  displays hostnames,\n",
"     the middle pane  locations  (direc-\n",
"     tories),  and  the  rightmost  pane\n",
"     files or directories returned by  a\n",
"     query.   The   browser's   use   is\n",
"     described in  the  section  \"Brows-\n",
"     ing\",  below.  You  can  adjust the\n",
"     relative size of the browser  panes\n",
"     using the Grips on their borders.\n",
"\n",
"     Finally, the  bottom  pane  of  the\n",
"     Xarchie  display  provides a set of\n",
"     Text  items  where  you  can  enter\n",
"     information  and  where information\n",
"     is displayed as query  results  are\n",
"     browsed.  Not all Text items can be\n",
"     typed in; some are used for display\n",
"     only.   These  text  items  provide\n",
"     Emacs-like  editing  controls  (see\n",
"     xedit(1)  for  a  complete descrip-\n",
"     tion). Typing Return in  some  Text\n",
"     items   invokes   an  action  as  a\n",
"     shortcut for selecting  it  from  a\n",
"     menu or button.\n",
"\n",
NULL,
" Basic Xarchie Usage\n",
"     This section  provides  information\n",
"     on  basic  querying,  browsing, and\n",
"     file operations. The \"Advanced Xar-\n",
"     chie  Usage\"  section describes how\n",
"     to use the Settings Panel  and  how\n",
"     to perform other, more complicated,\n",
"     queries.\n",
"\n",
NULL,
"  Querying\n",
"     The primary  function  provided  by\n",
"     Xarchie  is  that  of  querying the\n",
"     Archie server for a  \"search  term\"\n",
"     (the string or expression for which\n",
"     you want to  search).  By  default,\n",
"     your  query uses exact search mode.\n",
"     That  is,  the  search  term   must\n",
"     literally  match  an  entry  in the\n",
"     database  for  the  entry   to   be\n",
"     returned.  Other  search  modes are\n",
"     available, and are described in the\n",
"     \"Advanced Usage\" section.\n",
"\n",
"     You enter your search term  in  the\n",
"     appropriately labelled Text item in\n",
"     the  bottom  pane  of  the  Xarchie\n",
"     display.   Hitting  Return  in  the\n",
"     text item or selecting \"Query Item\"\n",
"     from  the Query Menu will send your\n",
"     request to Archie.\n",
"\n",
"     The Status area will be updated  as\n",
"     the  query  progresses.  First  the\n",
"     Archie server's Internet address is\n",
"     looked  up, then the server is con-\n",
"     tacted, the  search  term  is  sent\n",
"     over, and, after reaching the front\n",
"     of  the  server's  request   queue,\n",
"     matches  are  returned  to Xarchie.\n",
"     The matches, if any, are  displayed\n",
"     in  the browser and the Status area\n",
"     indicates  how  many  matches  were\n",
"     returned.\n",
"\n",
"     If your window manager and  version\n",
"     of  X  support  it, you can iconify\n",
"     the  Xarchie  application  and  the\n",
"     icon  will  change  to  reflect the\n",
"     progress of your query. That is, it\n",
"     will change when a query is in pro-\n",
"     gress and when it finishes.\n",
"\n",
NULL,
"  Aborting\n",
"     If you find that your query is tak-\n",
"     ing  too  long, you can abort it by\n",
"     clicking on the \"Abort\" button when\n",
"     it  is  active.  Your query will be\n",
"     aborted as soon  as  possible.  You\n",
"     should  note  that while aborting a\n",
"     query will allow you to enter a new\n",
"     query, it does not remove the query\n",
"     from the server's queue  (this  may\n",
"     be  changed  in  the future).  Thus\n",
"     aborting queries  does  not  reduce\n",
"     the  load on the server -- just the\n",
"     opposite probably. Use it with dis-\n",
"     cretion,  like the rest of the ser-\n",
"     vice.\n",
"\n",
NULL,
"  Browsing\n",
"     As described in  the  section  \"The\n",
"     Xarchie  Display\",  the middle pane\n",
"     of the Xarchie display functions as\n",
"     a  host-location-file browser.  The\n",
"     leftmost pane of the  browser  con-\n",
"     tains  the names of hosts that have\n",
"     a file matching your  search  term.\n",
"     Clicking the Left mouse button on a\n",
"     hostname  will  highlight  it   and\n",
"     cause the middle browser pane to be\n",
"     filled with a list of locations  on\n",
"     that host where files matching your\n",
"     search  term  can  be  found.   The\n",
"     selected   hostname  will  also  be\n",
"     displayed in the Text item labelled\n",
"     \"Host\"  in  the  bottom pane of the\n",
"     Xarchie display.\n",
"\n",
"     Similarly,  selecting  a   location\n",
"     from  the  middle browser pane will\n",
"     cause the right browser pane to  be\n",
"     filled  with  a  list  of the files\n",
"     available from the selected host in\n",
"     the   selected  location,  and  the\n",
"     location will be displayed  in  the\n",
"     bottom  pane  item  labelled \"Loca-\n",
"     tion\".\n",
"\n",
"     Finally, selecting a file from  the\n",
"     right browser pane causes its name,\n",
"     size, permission  modes  and  last-\n",
"     modification  date  to be displayed\n",
"     in   the   correspondingly-labelled\n",
"     bottom pane items.\n",
"\n",
"     Note that if  a  browser  pane  has\n",
"     only  one item, then that item will\n",
"     be automatically selected  and  its\n",
"     \"lesser\"   panes   and  information\n",
"     items filled in.  This  saves  time\n",
"     and effort in the common case where\n",
"     there is only one  host,  location,\n",
"     or  file  that  matches your query.\n",
"     Also, note that, by  default,  Xar-\n",
"     chie  scrolls the browser pane when\n",
"     you select an item.  This makes  it\n",
"     easy  to  click through a long list\n",
"     of matches, but can be annoying. If\n",
"     you   don't  like  it,  it  can  be\n",
"     changed  on  the   Settings   Panel\n",
"     (described   below),  and  see  the\n",
"     description   of   the    -noscroll\n",
"     command-line  option  in the REFER-\n",
"     ENCE MANUAL.\n",
"\n",
"     The browser allows  you  to  select\n",
"     multiple    items   simultaneously,\n",
"     although of course only  the  last-\n",
"     selected item will have it's infor-\n",
"     mation  displayed  in  the   bottom\n",
"     pane.  You  add  to  a selection by\n",
"     clicking the Left button with Shift\n",
"     depressed.  If  the clicked-on item\n",
"     is already  selected,  it  will  be\n",
"     unselected.   Currently,  only  the\n",
"     bottom level  of  the  browser  can\n",
"     have  multiple  selections, since a\n",
"     selection at a higher level  clears\n",
"     the selections for all lower levels\n",
"     (this  may  be   changed   in   the\n",
"     future). Thus you can select multi-\n",
"     ple files from a single  host,  but\n",
"     not  multiple  files  from separate\n",
"     hosts.\n",
"\n",
NULL,
"  Expanding the Browser\n",
"     The browser can be expanded, allow-\n",
"     ing  you  to  investigate,  say,  a\n",
"     directory that matched your  query.\n",
"     To  select and expand an directory,\n",
"     double-click  on  it  (double-click\n",
"     with Shift to avoid unselecting any\n",
"     other items). You can  also  select\n",
"     \"Open\" from the File Menu to expand\n",
"     directories  (although  this   will\n",
"     also   open   selected   files,  as\n",
"     described  later).   All   selected\n",
"     directories  will  be  expanded  by\n",
"     querying  an   appropriate   Archie\n",
"     server,  and  the  Status area will\n",
"     keep   you   informed.    Expansion\n",
"     requests  can  be aborted just like\n",
"     queries using the \"Abort\" button.\n",
"\n",
"     If only a single item was expanded,\n",
"     and  if  the expansion was success-\n",
"     ful, then the browser  will  scroll\n",
"     to  display  the results. The arrow\n",
"     buttons  across  the  top  of   the\n",
"     browser  can  be used to scroll the\n",
"     browser left or right when they are\n",
"     active.  The Middle and Right mouse\n",
"     buttons or the Left and Right arrow\n",
"     keys  will  do the same thing, when\n",
"     the  pointer  is  in  the   browser\n",
"     panes.\n",
"\n",
NULL,
"  Viewing Files\n",
"     You  can  view  a  file   that   is\n",
"     selected  in the browser by select-\n",
"     ing \"Open\" from the File  Menu  (or\n",
"     by    typing    Meta-O).    Xarchie\n",
"     retrieves  all  selected  files  in\n",
"     ASCII  mode into a temporary direc-\n",
"     tory.  The Status area, like usual,\n",
"     will  keep  you  posted on the pro-\n",
"     gress of the  operation  and,  once\n",
"     the  FTP connection is established,\n",
"     the Abort button  can  be  used  to\n",
"     abort  the  Open operation.  If you\n",
"     abort and there are files remaining\n",
"     to  retrieve,  you will be prompted\n",
"     as to whether to continue with  the\n",
"     next  file.  Note  that  partially-\n",
"     retrieved files  are  not  removed.\n",
"     There  is currently no way to abort\n",
"     the transfer until  the  connection\n",
"     is established. The connection will\n",
"     eventually timeout and control will\n",
"     return  to Xarchie if connection is\n",
"     impossible.\n",
"\n",
"     Each file is displayed in  a  popup\n",
"     Text  window after being retrieved.\n",
"     Use the \"Down\" and \"Up\" buttons  or\n",
"     the  scrollbars  to  view the text.\n",
"     Click on the  \"Dismiss\"  button  to\n",
"     destroy  the  window and delete the\n",
"     file.  To  save  the  file   before\n",
"     dismissing,  use the \"Save\" button.\n",
"     This pops up a panel with which you\n",
"     can  choose the name of the file to\n",
"     which to save.\n",
"\n",
"     Note that because the Archie  data-\n",
"     base  is only updated periodically,\n",
"     some files returned by  Archie  may\n",
"     not   exist  when  you  attempt  to\n",
"     retrieve them. This and  any  other\n",
"     FTP errors are signalled with alert\n",
"     boxes.\n",
"\n",
NULL,
"  Retrieving Files\n",
"     The \"Open\" action should be used to\n",
"     view  short files, such as \"README\"\n",
"     files, that you don't need to save.\n",
"     For  more  permanent files, and for\n",
"     non-ASCII   files   like   tar   or\n",
"     compressed  files,  Xarchie  allows\n",
"     you  to   retrieve   the   selected\n",
"     browser  items using the \"Get\" item\n",
"     of  the  File   Menu   (or   typing\n",
"     Meta-G).  The  selected  files  are\n",
"     retrieved via FTP and stored in the\n",
"     current  directory (see the section\n",
"     \"FTP Parameters\" in  the  \"Advanced\n",
"     Usage\"  section  for  how to change\n",
"     this).   The   \"Status\"   area   is\n",
"     updated  to reflect the progress of\n",
"     the transfer. As  for  \"Open\",  you\n",
"     can  abort  the retrieval using the\n",
"     \"Abort\" button once the FTP connec-\n",
"     tion is established.\n",
"\n",
"     It is  currently  not  possible  to\n",
"     retrieve  a  directory, although of\n",
"     course the directory can be  opened\n",
"     and  the  entire  contents selected\n",
"     for transfer.\n",
"\n",
"     Note that because the Archie  data-\n",
"     base  is only updated periodically,\n",
"     some files returned by  Archie  may\n",
"     not   exist  when  you  attempt  to\n",
"     retrieve them. This and  any  other\n",
"     FTP errors are signalled with alert\n",
"     boxes.\n",
"\n",
"     As with querying,  if  your  window\n",
"     manager  and  version  of X support\n",
"     it, Xarchie's icon will be  changed\n",
"     to   reflect   the  progress  of  a\n",
"     transfer.\n",
"\n",
NULL,
"  Saving, Loading, and Writing\n",
"     Xarchie  allows  you  to  save  and\n",
"     reload the contents of the browser,\n",
"     or write it in human-readable  for-\n",
"     mat  using  the  items  on the File\n",
"     menu.  Selecting either of  \"Save\",\n",
"     \"Load\",   or   \"Write\"  (or  typing\n",
"     Meta-S, Meta-L, or Meta-W,  respec-\n",
"     tively)  will pop up the File Panel\n",
"     with  which  you  can  specify  the\n",
"     appropriate  filename.  Clicking on\n",
"     the \"Ok\"  button  will  invoke  the\n",
"     appropriate  action; clicking \"Can-\n",
"     cel\" will abort the  operation  and\n",
"     pop down the panel.\n",
"\n",
"     Saving the database creates a  file\n",
"     containing  sufficient  information\n",
"     for  the  browser  to  be  reloaded\n",
"     using  \"Load\".  The  output  is not\n",
"     intended for human consumption. The\n",
"     current  Settings  are also written\n",
"     to  the  file  by  \"Save\"  and  are\n",
"     restored by \"Load\".\n",
"     Users should note that  a  reloaded\n",
"     database  will be \"flattened\", that\n",
"     is, directories will  be  added  to\n",
"     the  middle  pane  as needed to fit\n",
"     everything in three browser  panes.\n",
"     (This  may be changed in the future\n",
"     to    preserve     the     original\n",
"     hierarchy.)\n",
"\n",
"     Writing the database is intended to\n",
"     create  files that are more or less\n",
"     human-readable (compared to \"Save\",\n",
"     anyway).  There  are  two  possible\n",
"     formats, selectable from the \"Write\n",
"     Format\"  menu on the panel. If \"One\n",
"     entry per line\" is  selected,  then\n",
"     the  output  will have one line per\n",
"     entry, in the format\n",
"\n",
"      mode size date host:location/file\n",
"\n",
"     If  \"Pretty-printed\"  is  selected,\n",
"     then  the file format has hostnames\n",
"     starting at the  beginning  of  the\n",
"     line,  location  names indented one\n",
"     tab, and file entries indented  two\n",
"     tabs, all on separate lines.  Host-\n",
"     names  and   locations   are   only\n",
"     printed once, as in:\n",
"\n",
"             host\n",
"                     location\n",
"                             mode size date file\n",
"\n",
"     The latter is  more  readable,  the\n",
"     former  may  be  more useful if the\n",
"     output is to be used by a program.\n",
"\n",
NULL,
"  Quitting Xarchie\n",
"     You can exit Xarchie  by  selecting\n",
"     \"Quit\"  from the File Menu (or typ-\n",
"     ing Meta-Q).\n",
"\n",
NULL,
" Advanced Xarchie Usage\n",
"     This section describes how  various\n",
"     aspects  of Xarchie's functionality\n",
"     can be  modified  to  perform  dif-\n",
"     ferent  queries  and  other  opera-\n",
"     tions.     Further    customization\n",
"     information  is found in the REFER-\n",
"     ENCE MANUAL section.\n",
"\n",
NULL,
"  The Settings Panel\n",
"     The panel popped  up  by  selecting\n",
"     \"Other\" on the Settings Menu in the\n",
"     top  Xarchie  pane  allows  you  to\n",
"     change   the   parameters  of  your\n",
"     queries Archie. Each of the parame-\n",
"     ters  is described in the following\n",
"     sections.\n",
"\n",
"     After you're done with the Settings\n",
"     Panel, clicking on the \"Apply\" but-\n",
"     ton will make Xarchie use the  set-\n",
"     tings   as   set   on   the  panel.\n",
"     Clicking on  \"Default\"  will  reset\n",
"     the settings to the values they had\n",
"     when Xarchie started (but note that\n",
"     you  will  still have to apply them\n",
"     to have them take effect). Clicking\n",
"     on   \"Done\"   closes  the  Settings\n",
"     panel.  A  popup   confirmer   will\n",
"     appear  if  you  did not apply your\n",
"     changes, allowing  you  to  discard\n",
"     the  changes  or  go back and apply\n",
"     them. Note that the \"Apply\"  button\n",
"     is inactive until a change is made.\n",
"\n",
"     The  menus   available   from   the\n",
"     \"Search Type\",  \"Sort Type\", \"Nice\n",
"     Level\" and  \"Archie Host\"  submenus\n",
"     of the Settings Menu on the Xarchie\n",
"     top pane have effects corresponding\n",
"     to those of the buttons on the Set-\n",
"     tings Panel. However, they  do  not\n",
"     require  that the \"Apply\" button be\n",
"     clicked on to take effect,  and  do\n",
"     not  affect  the  behaviour  of the\n",
"     \"Done\" button confirmer.\n",
"\n",
NULL,
"  Archie host\n",
"     The item labelled \"Host\" provides a\n",
"     menu  of  known  Archie  hosts. You\n",
"     should choose  one  appropriate  to\n",
"     your site (i.e., one that minimizes\n",
"     long-distance  transmission).    In\n",
"     addition  however, you can enter an\n",
"     arbitrary hostname in the Text item\n",
"     next  to  the  \"Host\" button.  Note\n",
"     that the Archie host is  only  used\n",
"     for queries; expansion requests use\n",
"     information stored with  the  items\n",
"     to determine which host to contact.\n",
"     That is, changing the  Archie  host\n",
"     does  not  \"take  effect\" until the\n",
"     next query is issued.\n",
"\n",
"     If you have  the  ping(1)  program,\n",
"     you  can try to use it with the its\n",
"     \"-s\" option to  locate  a  \"nearby\"\n",
"     host.\n",
"\n",
"     You  can  specify  hostnames  using\n",
"     either the symbolic name or by giv-\n",
"     ing its numeric  IP  address  (four\n",
"     octets  separated  by  periods). In\n",
"     either case, you  can  specify  the\n",
"     port  at  which the Prospero server\n",
"     should be contacted by giving it in\n",
"     parentheses  immediately  following\n",
"     the hostname (no spaces).\n",
"\n",
NULL,
"  Search mode\n",
"     The \"Search Mode\" item allow you to\n",
"     change  how  Archie interprets your\n",
"     search term.  Holding a mouse  but-\n",
"     ton  down while the mouse cursor is\n",
"     on the button displays a menu  from\n",
"     which  you  can  choose the desired\n",
"     search  type.   The  label  to  the\n",
"     right  of  the  item  is updated to\n",
"     reflect the choice.\n",
"\n",
"     The  exact  mode  is  fastest   and\n",
"     returns files exactly matching your\n",
"     search term.  The substr  and  sub-\n",
"     case  modes  return  substring  and\n",
"     case-sensitive  substring   matches\n",
"     respectively  (i.e.,  substr  means\n",
"     case-insensitive). The regexp  mode\n",
"     allows  you  to  specify  a regular\n",
"     expression  to  select  files  (see\n",
"     ed(1)  for a description of regular\n",
"     expression  syntax).   The   exact*\n",
"     forms  of  these  last three try an\n",
"     exact match  first  and  then  fall\n",
"     back on the more costly search type\n",
"     if the exact match fails.\n",
"\n",
NULL,
"  Sort mode\n",
"     The \"Sort Mode\" item allows you  to\n",
"     specify  how  Xarchie  displays the\n",
"     results  from  Archie.   Holding  a\n",
"     mouse  button  down while the mouse\n",
"     cursor is in this item  displays  a\n",
"     menu  from which you can choose the\n",
"     desired sort type.   The  label  to\n",
"     the right of the item is updated to\n",
"     reflect the choice.   Applying  the\n",
"     settings (see above) will cause the\n",
"     data to be  resorted  according  to\n",
"     the new sort mode.\n",
"\n",
"     The type can be one of name,  date,\n",
"     or weight.  Sorting by name is sim-\n",
"     ple lexicographic ordering.\n",
"\n",
"     If sorting  by  date  is  selected,\n",
"     then hosts are ordered according to\n",
"     the most recent  file  among  those\n",
"     returned  for  them,  and similarly\n",
"     for locations. Files themselves are\n",
"     ordered  by last-modification date,\n",
"     naturally.\n",
"\n",
"     If sorting by weight  is  selected,\n",
"     then  hosts  are ordered by a user-\n",
"     definable set of \"weights\". In this\n",
"     way,  hosts  that  are  \"close\" (in\n",
"     some sense)  are  displayed  first.\n",
"     The  weights  can  be set using the\n",
"     Text item that appears on the  Set-\n",
"     tings  Panel when this sort mode is\n",
"     selected.\n",
"\n",
"     Hopefully,  an  appropriate  weight\n",
"     list for the geographic location of\n",
"     your site will have been  installed\n",
"     as  the  default.  In any case, the\n",
"     the weight list is a set of  lines,\n",
"     where  each line specifies a weight\n",
"     and the set  of  domains  for  that\n",
"     weight.  A  host's weight is deter-\n",
"     mined by finding the first line for\n",
"     which  the  end  of the host's name\n",
"     matches one of the suffixes. A host\n",
"     that belongs in none of the classes\n",
"     is  assigned  the  weight  99.  For\n",
"     example,  the  default  for the USA\n",
"     is:\n",
"\n",
"         1 edu com net gov mil us\n\\n",
"         2 ca\n\\n",
"         3 uk de nl fi fr eu.net\n\\n",
"       100 au nz jp\n",
"\n",
"     This means that all the US  domains\n",
"     are  ordered  first,  then  Canada,\n",
"     then  several  European  countries.\n",
"     Hosts  in  Australia,  New Zealand,\n",
"     and Japan  are  ordered  after  any\n",
"     unknown (i.e. non-matching) hosts.\n",
"\n",
"     For more details, see the  descrip-\n",
"     tion  of the hostWeights non-widget\n",
"     resource in  the  REFERENCE  MANUAL\n",
"     section.\n",
"\n",
NULL,
"  Nice level\n",
"     The \"Nice Level\" item deserves spe-\n",
"     cial  mention.  As mentioned in the\n",
"     \"About  Archie\"   section,   Archie\n",
"     servers  run  on machines that must\n",
"     be  shared  between  other   Archie\n",
"     users  and even other \"real\" users.\n",
"     This item allows you to voluntarily\n",
"     lower the priority of your request,\n",
"     just like the nice(1) command  does\n",
"     for  Unix.  The  menu provides some\n",
"     recommended  values  and  you   can\n",
"     enter  arbitrary values in the text\n",
"     item. If you are searching  with  a\n",
"     large  number of matches requested,\n",
"     please increase your nice level.\n",
"\n",
"     Note that, like nice(1),  nicing  a\n",
"     job  does  not  mean your job won't\n",
"     affect others.  In particular, once\n",
"     your  job  begins  it  is  not pre-\n",
"     empted, thus you should still avoid\n",
"     long  jobs during peak periods. You\n",
"     should especially avoid queries for\n",
"     items  of  only  personal  interest\n",
"     (you  know  what  we  mean)  during\n",
"     these  periods.  As  stated  above,\n",
"     abusers of  the  service  may  find\n",
"     their    access   revoked   without\n",
"     notice.\n",
"\n",
NULL,
"  Other Query Settings\n",
"     The following items set  parameters\n",
"     of your query to the Archie server.\n",
"\n",
"     Max Hits:\n",
"          the limit  on  the  number  of\n",
"          successful  matches  that will\n",
"          be returned.\n",
"\n",
"     Initial Timeout:\n",
"          the  length   of   the   first\n",
"          timeout interval in seconds.\n",
"\n",
"     Retries:\n",
"          the number of times to retry a\n",
"          query  if  it  times out, dou-\n",
"          bling the timeout each retry.\n",
"\n",
"     These items  are  Text  items  that\n",
"     allow you to edit their values.\n",
"\n",
"     The  item   labelled   \"Auto-Scroll\n",
"     Browser\"   controls   whether   the\n",
"     browser scrolls after  an  item  is\n",
"     selected.  Setting this to \"yes\" is\n",
"     useful when browsing a long list of\n",
"     matches.  It  can  be  annoying  if\n",
"     you're doing more selective  brows-\n",
"     ing,  so  set  it  to \"no\" in those\n",
"     cases.\n",
"\n",
NULL,
"  FTP settings\n",
"     The following items  allow  you  to\n",
"     set  parameters  of file retrieval.\n",
"     You  should  be   sure   they   are\n",
"     appropriately set before retrieving\n",
"     files using either \"Open\" or \"Get\".\n",
"\n",
"     FTP Email Address:\n",
"          Specifies  the  password  used\n",
"          for  anonymous  FTP  login. By\n",
"          convention, users  logging  in\n",
"          as   \"anonymous\"   send  their\n",
"          email address as the password.\n",
"          Some  servers  enforce this by\n",
"          checking  the   address.   The\n",
"          default may not be appropriate\n",
"          depending on what  information\n",
"          Xarchie  could glean from your\n",
"          system about its address.  You\n",
"          can  set the environment vari-\n",
"          ables  USER  and  HOSTNAME  to\n",
"          override the system's informa-\n",
"          tion, or see  the  description\n",
"          of   the  ftpMailAddress  non-\n",
"          widget resource in the  REFER-\n",
"          ENCE MANUAL.\n",
"\n",
"     FTP Local Directory:\n",
"          Specifies the  directory  into\n",
"          which  files will be retrieved\n",
"          using \"Get\".\n",
"\n",
"     FTP Transfer Type:\n",
"          Provides a menu from which you\n",
"          can select \"ascii\" or \"binary\"\n",
"          mode   transfer   for    files\n",
"          retrieved  with  \"Get\".  Files\n",
"          retrieved  with   \"Open\"   are\n",
"          always   retrieved   in  ascii\n",
"          mode.\n",
"\n",
"     FTP Prompt:\n",
"          Provides a menu  allowing  you\n",
"          to enable or disable prompting\n",
"          during multi-file transfers.\n",
"\n",
"     Trace FTP Transfers:\n",
"          Since FTP transfers  are  sus-\n",
"          ceptible to timeouts and other\n",
"          confusions, this  item  allows\n",
"          you   to   monitor   any   FTP\n",
"          interactions.  If  tracing  is\n",
"          enabled,  then invoking \"Open\"\n",
"          or \"Get\" on a file will  popup\n",
"          a trace window that displays a\n",
"          running log of the FTP session\n",
"          as  it  happens.   Using  this\n",
"          successfully requires that you\n",
"          understand something about how\n",
"          FTP works, which is beyond the\n",
"          scope of this document.\n",
"\n",
"     Strip CR\n",
"          If  this  option  is  enabled,\n",
"          then   carriage   returns  are\n",
"          removed from ASCII-mode files.\n",
"          This is usually desirable when\n",
"          transferring   to    a    Unix\n",
"          machine.\n",
"\n",
NULL,
"  Querying Hosts and Locations\n",
"     The Query Menu provides  two  other\n",
"     types of queries besides the \"Query\n",
"     Item\"  described  in   the   \"Basic\n",
"     Usage\"  section  for  querying  the\n",
"     Archie database.\n",
"\n",
"     Selecting \"Query Host\" will use the\n",
"     hostname in the \"Host\" Text item on\n",
"     the bottom pane and will  fill  the\n",
"     browser  with  the  contents of the\n",
"     root of  its  FTP  directory.  From\n",
"     then  on,  interaction is as previ-\n",
"     ously described. The host to  query\n",
"     can  be  in  the  \"Host\"  item as a\n",
"     result of selecting a host  in  the\n",
"     browser,  or  you can type directly\n",
"     into the item the name of the  host\n",
"     that   you  wish  to  open.  Typing\n",
"     Return  in  the  \"Host\"   item   is\n",
"     equivalent   to   selecting  \"Query\n",
"     Host\" from the Query Menu.\n",
"\n",
"     Querying  locations  by   selecting\n",
"     \"Query  Location\"  is  similar: the\n",
"     Archie server is  queried  for  the\n",
"     contents  of the directory given by\n",
"     the \"Location\"  item  on  the  host\n",
"     given   by  the  \"Host\"  item.  The\n",
"     browser  is  filled  in  with   the\n",
"     results  of  the  query  (i.e., the\n",
"     contents  of  the  directory).   As\n",
"     before,  you  can  type the name of\n",
"     the location  into  the  \"Location\"\n",
"     item if you wish, and typing Return\n",
"     there  is  the  same  as   invoking\n",
"     \"Query Location\".\n",
"\n",
"     Note that because the Archie  data-\n",
"     base  is only updated periodically,\n",
"     some files returned by  Archie  may\n",
"     not   exist  when  you  attempt  to\n",
"     retrieve them. Similarly,  recently\n",
"     added  files  may exist on the host\n",
"     but not in the Archie database.\n",
"\n",
NULL,
"REFERENCE MANUAL\n",
"     This  section  provides   all   the\n",
"     information you should need to cus-\n",
"     tomize    Xarchie.     Command-line\n",
"     options,    non-widget   resources,\n",
"     widget  hierarchies,   translations\n",
"     actions,  and other information are\n",
"     all provided. It  is  assumed  that\n",
"     you   understand   enough  about  X\n",
"     applications to understand this.\n",
"\n",
NULL,
" Command-line Options\n",
"     The following non-widget  resources\n",
"     can be set from the command-line or\n",
"     in a resource file. As usual,  when\n",
"     given  on the command line they can\n",
"     be abbreviated  to  their  shortest\n",
"     unique   prefix,  often  the  first\n",
"     letter.     Furthermore     Xarchie\n",
"     accepts  all the standard X Toolkit\n",
"     options (see X(1)).\n",
"\n",
"     -host host\n",
"          Sets the host to which  Archie\n",
"          queries  will  be sent. Please\n",
"          be careful to use the  nearest\n",
"          possible    host.    You   can\n",
"          specify hostnames using either\n",
"          the symbolic name or by giving\n",
"          its numeric IP  address  (four\n",
"          octets  separated by periods).\n",
"          In  either   case,   you   can\n",
"          specify  the port at which the\n",
"          Prospero server should be con-\n",
"          tacted   by   giving   it   in\n",
"          parentheses  immediately  fol-\n",
"          lowing    the   hostname   (no\n",
"          spaces).\n",
"\n",
"          The         default         is\n",
"          \"archie.sura.net(1526)\".  This\n",
"          option  corresponds   to   the\n",
"          archieHost resource.\n",
"\n",
"     -search type\n",
"          Sets  the  search   mode   for\n",
"          Archie  queries.  The type can\n",
"          be one of exact, substr,  sub-\n",
"          case,   regexp,   exactSubstr,\n",
"          exactSubcase, or  exactRegexp.\n",
"          See the section describing the\n",
"          Settings Panel in  the  USER'S\n",
"          GUIDE for a description of the\n",
"          various  search  types.    The\n",
"          default  search mode is exact.\n",
"          This option corresponds to the\n",
"          searchType resource.\n",
"\n",
"     -e   Equivalent to \"-search exact\".\n",
"\n",
"     -s   Equivalent        to        \"-\n",
"          search substr\".\n",
"\n",
"     -c   Equivalent        to        \"-\n",
"          search subcase\".\n",
"     -r   Equivalent        to        \"-\n",
"          search regexp\".\n",
"\n",
"     -es  Equivalent        to        \"-\n",
"          search exactSubstr\".\n",
"\n",
"     -ec  Equivalent        to        \"-\n",
"          search exactSsubcase\".\n",
"\n",
"     -er  Equivalent        to        \"-\n",
"          search exactRegexp\".\n",
"\n",
"     -sort type\n",
"          Sets   the   sort   mode   for\n",
"          displaying  Archie  responses.\n",
"          The type can be one  of  name,\n",
"          date, or weight.  See the sec-\n",
"          tion describing  the  Settings\n",
"          Panel  in the USER'S GUIDE for\n",
"          a description of  the  various\n",
"          sort   types.    This   option\n",
"          corresponds  to  the  sortType\n",
"          resource.\n",
"\n",
"     -t   Equivalent to \"-sort date\".\n",
"\n",
"     -w   Equivalent to \"-sort weight\".\n",
"\n",
"     -maxHits num\n",
"          Sets  the  maximum  number  of\n",
"          matches   allowed  per  query.\n",
"          This option corresponds to the\n",
"          maxHits resource.\n",
"\n",
"     -offset num\n",
"          Sets the offset of  the  Pros-\n",
"          pero    query.   This   option\n",
"          corresponds  to   the   offset\n",
"          resource.\n",
"\n",
"     -nice level or -N level\n",
"          Sets the query niceness level.\n",
"          Higher  numbers  are nicer, up\n",
"          to  a  maximum   niceness   of\n",
"          32765. The default niceness is\n",
"          0. This option corresponds  to\n",
"          the niceLevel resource.\n",
"\n",
"     -noscroll\n",
"          By  default,  Xarchie  scrolls\n",
"          the  browser  lists  automati-\n",
"          cally when you  select  items.\n",
"          This  usually  makes it easier\n",
"          to scan through the results of\n",
"          queries  but  can be annoying.\n",
"          This  option  turns  off   the\n",
"          automatic     scrolling.    It\n",
"          corresponds to the  autoScroll\n",
"          resource.\n",
"\n",
"     -mono or -gray or -color\n",
"          By   default,   Xarchie   will\n",
"          determine  the  visual type of\n",
"          your  display  and   use   the\n",
"          proper  color resources. If it\n",
"          gets   it   wrong,   you   can\n",
"          override the default by speci-\n",
"          fying one  of  these  options.\n",
"          They correspond to the visual-\n",
"          Type resource.\n",
"\n",
"     -debug level or -D level\n",
"          Sets  the  Prospero  debugging\n",
"          level.   Higher  numbers  mean\n",
"          more verbose  messages.   This\n",
"          option   corresponds   to  the\n",
"          debugLevel resource.   Xarchie\n",
"          must be specially compiled for\n",
"          this option to have any effect\n",
"          (see  the  Imakefile  or  your\n",
"          local installer).\n",
"\n",
"     -help or -?\n",
"          Prints the usage message  sum-\n",
"          marizing Xarchie options.\n",
"\n",
NULL,
" Non-widget Resources\n",
"     Xarchie  has  a  default   set   of\n",
"     resources  built in. If you wish to\n",
"     customize the tool, take a copy  of\n",
"     the  default  application  defaults\n",
"     file  (see  the  section   \"Files\",\n",
"     below)  and modify it. Then, before\n",
"     invoking Xarchie, set the  environ-\n",
"     ment  variable  XAPPLRESDIR  to the\n",
"     directory containing  your  private\n",
"     copy.  Alternatively, you can place\n",
"     entries in your .Xdefaults file  or\n",
"     provide  them with the -xrm toolkit\n",
"     option (see  X(1)).   Most  of  the\n",
"     following resources can also be set\n",
"     using  the   command-line   options\n",
"     described in the previous section.\n",
"\n",
NULL,
"  Query Resources\n",
"     archieHost\n",
"          Sets the host to which  Archie\n",
"          queries  will  be sent. Please\n",
"          be careful to use the  nearest\n",
"          possible  host. The default is\n",
"          \"archie.sura.net\".        This\n",
"          resource  can  be set with the\n",
"          -host option or  on  the  Set-\n",
"          tings Panel.\n",
"\n",
"          You  can   specify   hostnames\n",
"          using either the symbolic name\n",
"          or by giving  its  numeric  IP\n",
"          address (four octets separated\n",
"          by periods). In  either  case,\n",
"          you  can  specify  the port at\n",
"          which  the   Prospero   server\n",
"          should  be contacted by giving\n",
"          it in parentheses  immediately\n",
"          following   the  hostname  (no\n",
"          spaces).\n",
"\n",
"     searchType\n",
"          Sets  the  search   mode   for\n",
"          Archie  queries.  This  can be\n",
"          one of exact, substr, subcase,\n",
"          regexp,           exactSubstr,\n",
"          exactSubcase, or  exactRegexp.\n",
"          See the section describing the\n",
"          Settings Panel in  the  USER'S\n",
"          GUIDE for a description of the\n",
"          various  search  types.    The\n",
"          default  search mode is exact.\n",
"          This resource can be set  with\n",
"          the  -search  option,  or  its\n",
"          abbreviations -e, -s, -c,  -r,\n",
"          -es,  -ec,  or  -er, or on the\n",
"          Settings Panel.\n",
"\n",
"     sortType\n",
"          Sets   the   sort   mode   for\n",
"          displaying  Archie  responses.\n",
"          This can be one of name, date,\n",
"          or weight.  See the section of\n",
"          the Settings Panel, above, for\n",
"          a  description  of the various\n",
"          search types.   This  resource\n",
"          can  be  set  with  the  -sort\n",
"          option, or  its  abbreviations\n",
"          -t  or  -w, or on the Settings\n",
"          Panel.\n",
"\n",
"     hostWeights\n",
"          Specifies the weights used  to\n",
"          order  hosts  when  sorting by\n",
"          weight is selected. The format\n",
"          of  this  resource is a series\n",
"          of entries of the form:\n",
"\n",
"          weight host [hosts...] {,|\n}\n",
"\n",
"          where parts of  an  entry  are\n",
"          separated  by  spaces  or tabs\n",
"          and entries are separated by a\n",
"          comma  or newline.  Each entry\n",
"          specifies  a  weight   and   a\n",
"          series  of  possible  suffixes\n",
"          (one  or  more  trailing  com-\n",
"          ponents).  A  host's weight is\n",
"          determined  by   finding   the\n",
"          first  class for which the end\n",
"          of the host's name matches one\n",
"          of  the  suffixes. A host that\n",
"          belongs in none of the classes\n",
"          is assigned the weight 99. For\n",
"          example, the default  for  the\n",
"          USA is:\n",
"\n",
"              1 edu com net gov mil us\n\\n",
"              2 ca\n\\n",
"              3 uk de nl fi fr eu.net\n\\n",
"            100 au nz jp\n",
"\n",
"          This means  that  all  the  US\n",
"          domains   are  ordered  first,\n",
"          then  Canada,   then   several\n",
"          European  countries.  Hosts in\n",
"          Australia,  New  Zealand,  and\n",
"          Japan  are  ordered  after any\n",
"          unknown  (i.e.   non-matching)\n",
"          hosts.  This  resource  can be\n",
"          set on the Settings Panel.\n",
"\n",
"          If  this   resource   is   not\n",
"          defined,  Xarchie will attempt\n",
"          to make an intelligent  choice\n",
"          by comparing the system's idea\n",
"          of its hostname with a set  of\n",
"          pre-compiled   defaults.  This\n",
"          may not work, but  is  usually\n",
"          better  than  nothing,  and it\n",
"          can always be  edited  on  the\n",
"          Settings Panel anyway.\n",
"\n",
"     niceLevel\n",
"          Sets the query niceness level.\n",
"          Higher  numbers  are nicer, up\n",
"          to  a  maximum   niceness   of\n",
"          32765.  The default is 0. This\n",
"          resource can be set  with  the\n",
"          -nice  option  or  on the Set-\n",
"          tings Panel.\n",
"\n",
"     maxHits\n",
"          Sets  the  maximum  number  of\n",
"          matches allowed per query. The\n",
"          default is 99.  This  resource\n",
"          can  be  set with the -maxHits\n",
"          option  or  on  the   Settings\n",
"          Panel.\n",
"\n",
"     offset\n",
"          Sets the Prospero offset.  The\n",
"          default  is  0.  This resource\n",
"          can be set  with  the  -offset\n",
"          option   or  on  the  Settings\n",
"          Panel.\n",
"\n",
"     timeout\n",
"          Sets   the   initial   timeout\n",
"          value, in seconds. The default\n",
"          is 4. This resource can be set\n",
"          on the Settings Panel.\n",
"\n",
"     retries\n",
"          Sets the  number  of  retries,\n",
"          where   the   timeout  doubles\n",
"          every  retry.   This  resource\n",
"          can  be  set  on  the Settings\n",
"          Panel.\n",
"\n",
"     debugLevel\n",
"          Sets  the  Prospero  debugging\n",
"          level.   Higher  numbers  mean\n",
"          more verbose  messages.   Xar-\n",
"          chie  must  have been compiled\n",
"          specially for this  option  to\n",
"          have   any   effect  (see  the\n",
"          Imakefile   or   your    local\n",
"          installer).  This resource can\n",
"          be set with the -debug  or  -D\n",
"          options.\n",
"\n",
NULL,
"  Browser Resources\n",
"     autoScroll\n",
"          By  default,  Xarchie  scrolls\n",
"          the  browser  lists  automati-\n",
"          cally when you  select  items.\n",
"          This  usually  makes it easier\n",
"          to scan through the results of\n",
"          queries  but  can be annoying.\n",
"          This resource enables or  dis-\n",
"          ables   automatic   scrolling.\n",
"          The default is True.   It  can\n",
"          be set to False with the -nos-\n",
"          croll  option   and   can   be\n",
"          changed on the Settings Panel.\n",
"\n",
"     pasteBuffer\n",
"          If this resource is True  (the\n",
"          default),  browser  selections\n",
"          are stored in the CUT_BUFFER_0\n",
"          property of the root window of\n",
"          the  Xarchie  display  in  the\n",
"          format:\n",
"\n",
"                host:location/file\n",
"\n",
"          This allows them to be used by\n",
"          other    applications    using\n",
"          XFetchBytes(3X).  The  Xarchie\n",
"          distribution includes a sample\n",
"          program    (xcutbuf.c)    that\n",
"          retrieves  the  contents  of a\n",
"          cutbuffer property.\n",
"\n",
NULL,
"  FTP Resources\n",
"     ftpMailAddress\n",
"          By convention, FTP  users  are\n",
"          expected  to  send their email\n",
"          address as the password during\n",
"          anonymous  login.   The string\n",
"          specified by this resource  is\n",
"          passed   to  sprintf(3)  along\n",
"          with two parameters: the user-\n",
"          name   and  the  hostname  (as\n",
"          indicated by the system or  by\n",
"          the USER and HOSTNAME environ-\n",
"          ment   variables),   and   the\n",
"          result is used as the password\n",
"          for anonymous FTP logins.  The\n",
"          default is \"%s@%s\". You should\n",
"          change this resource  if  your\n",
"          system   returns   strange  or\n",
"          incorrect  values  for  either\n",
"          parameter. The password (after\n",
"          sprintf) can be edited on  the\n",
"          Settings Panel.\n",
"\n",
"     ftpLocalDir\n",
"          Sets  the  local   destination\n",
"          directory  for  ftp transfers.\n",
"          This will be used as the  ini-\n",
"          tial  value  of the \"FTP Local\n",
"          Dir\"  item  on  the   Settings\n",
"          Panel.\n",
"\n",
"     ftpType\n",
"          Sets the transfer type for ftp\n",
"          transfers.  This  will be used\n",
"          as the initial  value  of  the\n",
"          \"Ftp  transfer  type\"  item on\n",
"          the Settings Panel.  It should\n",
"          be one of \"ascii\" or \"binary\".\n",
"\n",
"     ftpPrompt\n",
"          Specifies  whether  to  prompt\n",
"          for     verification    during\n",
"          transfers  involving  multiple\n",
"          files.  This  will  be used as\n",
"          the  initial  value   of   the\n",
"          \"Prompt during transfers\" item\n",
"          on the Settings Panel.\n",
"\n",
"     ftpTrace\n",
"          Specifies whether to pop up  a\n",
"          window  in  which FTP transac-\n",
"          tions are monitored. This will\n",
"          be  used  as the initial value\n",
"          of the \"Trace  FTP  transfers\"\n",
"          item on the Settings Panel.\n",
"\n",
"     ftpStrip\n",
"          Specifies  whether  to   strip\n",
"          carriage  returns  from  files\n",
"          transferred  in  ASCII   mode.\n",
"          This  will be used as the ini-\n",
"          tial value of the  \"Strip  CR\"\n",
"          item on the Settings Panel.\n",
"\n",
NULL,
"  Database Writing Resources\n",
"     fileWriteOnePerLine\n",
"          Specifies the format of  files\n",
"          written by \"Write\".  This will\n",
"          be used as the  initial  value\n",
"          of  the \"Write format\" item on\n",
"          the File Panel.   The  meaning\n",
"          of  this  setting is described\n",
"          in the USER'S GUIDE section on\n",
"          \"Saving,  Loading,  and  Writ-\n",
"          ing\".\n",
"\n",
NULL,
"  Special Font Resources\n",
"     Xarchie uses two fonts by  default:\n",
"     one  \"normal\" and one \"bold\".  How-\n",
"     ever, because of widget naming  and\n",
"     resource  lookup conventions, these\n",
"     fonts must  be  specified  in  many\n",
"     places  in  the  resource  file. To\n",
"     make it easier to find  and  change\n",
"     these   fonts,  the  following  two\n",
"     resources are defined:\n",
"\n",
"     xarchieFont\n",
"          The name of the  default  font\n",
"          used  by  Xarchie  widgets. If\n",
"          any widget  specifies  a  font\n",
"          resource   as   \"xarchieFont\",\n",
"          this font will be used.\n",
"\n",
"     xarchieBoldFont\n",
"          Like the above, but  specifies\n",
"          the  font  used  by any widget\n",
"          that specifies a font resource\n",
"          of \"xarchieBoldFont\".\n",
"\n",
"     The resource converter  that  looks\n",
"     up  fontnames  is  modified so that\n",
"     the the two special  strings  \"xar-\n",
"     chieFont\"   and   \"xarchieBoldFont\"\n",
"     result in  the  corresponding  font\n",
"     being  returned;  other strings are\n",
"     looked up as normal fontnames.\n",
"\n",
NULL,
"  Other Resources\n",
"     visualType\n",
"          This resource  allows  you  to\n",
"          override   Xarchie's   builtin\n",
"          determination of the  type  of\n",
"          display,   which  it  uses  to\n",
"          specify   appropriate    color\n",
"          resources.   You  can  specify\n",
"          \"mon\", \"gray\", or  \"color\"  as\n",
"          the value of this resource. It\n",
"          can  also  be  set  with   the\n",
"          corresponding     command-line\n",
"          options.\n",
"\n",
"     defaultIcon\n",
"          If given, this resource speci-\n",
"          fies  the  name of an X bitmap\n",
"          file  that  will  be  used  as\n",
"          Xarchie's icon when not query-\n",
"          ing (assuming you are using  a\n",
"          window  manager  that supports\n",
"          icon pixmaps). The X  resource\n",
"          conversion  routines will look\n",
"          for the file in a  variety  of\n",
"          places,  including directories\n",
"          given by the  global  resource\n",
"          bitmapFilePath.\n",
"\n",
"     busyIcon\n",
"          If given, this resource speci-\n",
"          fies  the  name of an X bitmap\n",
"          file  that  will  be  used  as\n",
"          Xarchie's  icon  when querying\n",
"          (see the  description  of  the\n",
"          defaultIcon  resource, above).\n",
"          The icon is  changed  back  to\n",
"          the  default  when  the  query\n",
"          completes, so  you  can  watch\n",
"          for  a change while Xarchie is\n",
"          iconified.\n",
"\n",
NULL,
" Widget Hierarchies\n",
"     Xarchie uses primarily Athena widg-\n",
"     ets, with some extra sub-classes as\n",
"     described below.\n",
"\n",
NULL,
"  Main Xarchie Widgets\n",
"     The widget hierarchy for  the  main\n",
"     Xarchie display is as follows:\n",
"\n",
"     Xarchie xarchie\n",
"       [Form color|gray] <-- Color or gray-scale displays only\n",
"       Paned outerPaned\n",
"         Form buttonForm\n",
"           MenuButton fileButton\n",
"           MenuButton settingsButton\n",
"           MenuButton queryButton\n",
"           Command abortButton\n",
"           Command helpButton\n",
"           Label,Text status{Label,Text}\n",
"         Form browserForm\n",
"           Command browserUpButton\n",
"           Command browserDownButton\n",
"           Paned browserPaned\n",
"             Viewport browserViewport0\n",
"               XfwfMultiList browserList0\n",
"             Viewport browserViewport1\n",
"               XfwfMultiList browserList1\n",
"             Viewport browserViewport2\n",
"               XfwfMultiList browserList2\n",
"         Form stringForm\n",
"           Label,Text search{Label,Text}\n",
"           Label,Text host{Label,Text}\n",
"           Label,Text location{Label,Text}\n",
"           Label,Text file{Label,Text}\n",
"           Label,Text size{Label,Text}\n",
"           Label,Text modes{Label,Text}\n",
"           Label,Text date{Label,Text}\n",
"\n",
"     On  color  displays,  there  is  an\n",
"     extra  Form  widget  named  \"color\"\n",
"     created as the only  child  of  the\n",
"     toplevel shell, and all other widg-\n",
"     ets are children of it. This allows\n",
"     resources  that are only applicable\n",
"     for color displays to use the  pre-\n",
"     fix \"Xarchie.color\" while generally\n",
"     applicable resources should use the\n",
"     \"Xarchie*\"  prefix.  On  gray-scale\n",
"     displays, the extra widget is named\n",
"     \"gray\".  On monochrome displays, no\n",
"     extra widget is created.\n",
"\n",
"     The  XfwfMultiList  widget   is   a\n",
"     modification of the standard Athena\n",
"     List widget  that  allows  multiple\n",
"     items  to be selected. It was writ-\n",
"     ten      by       Brian       Totty\n",
"     (totty@flute.cs.uiuc.edu)   and  is\n",
"     distributed  by  the  Free   Widget\n",
"     Foundation  (contact  free-widgets-\n",
"     request@kazoo.cs.uiuc.edu).    Xar-\n",
"     chie  can  be compiled to use stan-\n",
"     dard Athena List  widgets  instead.\n",
"     See  the  Imakefile  or  your local\n",
"     installer.\n",
"\n",
"     To describe this  widget  hierarchy\n",
"     briefly,  outerPaned  controls  the\n",
"     relative sizes of  the  three  hor-\n",
"     izontal    display    areas   while\n",
"     browserPaned  allows  the   browser\n",
"     panels to be resized independently.\n",
"     Each browser panel  consists  of  a\n",
"     Viewport  to allow it to scroll and\n",
"     an  XfwfMultiList  (or   List)   to\n",
"     display the entries.\n",
"\n",
"     The  command  buttons  and   status\n",
"     widgets are pretty straightforward.\n",
"     The   fileButton   pops   up    the\n",
"     fileMenu,  whose  items  invoke the\n",
"     obvious actions  (see  below)  when\n",
"     selected.  The  settingsButton pops\n",
"     up  the  settingsMenu,  which  uses\n",
"     some  special  translations and the\n",
"     settings-submenu() action to permit\n",
"     the  use of pullright submenus. The\n",
"     queryButton pops up the  queryMenu,\n",
"     the   abortButton   (when   active)\n",
"     invokes the abort() action, and the\n",
"     helpButton   invokes   the   help()\n",
"     action to pop up the Help panel.\n",
"\n",
"     In the bottom pane, the  searchText\n",
"     widget  is used to enter the search\n",
"     term,  and  by  default  it   binds\n",
"     Return  to  the query() action (see\n",
"     below) to send the query to Archie.\n",
"     The   hostText   binds   Return  to\n",
"     query-host() and  the  locationText\n",
"     binds  Return  to query-location().\n",
"     All the other  Text  items  in  the\n",
"     stringForm cannot be edited and are\n",
"     used to display  information  about\n",
"     the current browser selection.\n",
"\n",
NULL,
"  Settings Panel Widgets\n",
"     The \"Panel\" item  on  the  Settings\n",
"     menu  pops  up  the Settings Panel,\n",
"     which  has  the  following   widget\n",
"     hierarchy:\n",
"\n",
"       TopLevelShell settingsShell\n",
"         Form settingsForm\n",
"           Command setDoneButton\n",
"           Command setApplyButton\n",
"           Command setDefaultButton\n",
"           MenuButton,AsciiText setHost{Button,Text}\n",
"           MenuButton,Label setSearch{Button,Label}\n",
"           MenuButton,Label setSort{Button,Label}\n",
"           Label,AsciiText setHostWeights{Label,Text}\n",
"           MenuButton,AsciiText setNice{Button,Text}\n",
"           Label,AsciiText setMaxHits{Label,Text}\n",
"           Label,AsciiText setTimeout{Label,Text}\n",
"           Label,AsciiText setRetries{Label,Text}\n",
"           Label,AsciiText setAutoScroll{Button,Label}\n",
"           Label,AsciiText ftpMailAddress{Label,Text}\n",
"           Label,AsciiText ftpLocalDir{Label,Text}\n",
"           MenuButton,Label ftpType{Button,Label}\n",
"           MenuButton,Label ftpPrompt{Button,Label}\n",
"           MenuButton,Label ftpTrace{Button,Label}\n",
"           MenuButton,Label ftpStrip{Button,Label}\n",
"\n",
"     The   setDoneButton   invokes   the\n",
"     settings-done()  action, the setAp-\n",
"     plyButton invokes settings-apply(),\n",
"     and  the  setDefaultButton  invokes\n",
"     settings-default().   The   actions\n",
"     are  described below.  The MenuBut-\n",
"     ton widgets pop up menus  described\n",
"     below under \"Menus\".  The AsciiText\n",
"     widgets are  used  to  display  and\n",
"     edit the corresponding parameters.\n",
"\n",
NULL,
"  File Panel Widgets\n",
"     The  \"Save\",  \"Load\",  and  \"Write\"\n",
"     items  on  the File menu pop up the\n",
"     File panel, which has the following\n",
"     widget hierarchy:\n",
"\n",
"     TopLevelShell fileShell\n",
"       Form fileForm\n",
"         Label fileLabel\n",
"         XfwfFileChooser fileChooser\n",
"         Label,AsciiText filename{Label,Text}\n",
"         MenuButton,Label fileWriteMode{Button,Label}\n",
"         Command fileOkButton, fileCancelButton\n",
"\n",
"     The XfwfFileChooser widget provides\n",
"     a   browser  for  selecting  files.\n",
"     Xarchie can be compiled without the\n",
"     FileChooser, if necessary.  See the\n",
"     Imakefile or your local installer.\n",
"\n",
"     In any event, the  fileLabel  indi-\n",
"     cates  what operation is being per-\n",
"     formed, the fileChooser,  fileText,\n",
"     and  buttons  are  used to select a\n",
"     file, and  the  fileWriteModeButton\n",
"     pops up the fileWriteModeMenu (only\n",
"     enabled for Write).  Typing  Return\n",
"     in  the filenameText is the same as\n",
"     clicking  the   fileOkButton,   and\n",
"     sending  the  WM_DELETE_WINDOW mes-\n",
"     sage  (typically  from  the  window\n",
"     manager) is the same as clicking on\n",
"     the fileCancelButton.\n",
"\n",
NULL,
"  View Window Widgets\n",
"     Whenever a  file  is  retrieved  by\n",
"     \"Open\", it is displayed in a window\n",
"     with the following  widget  hierar-\n",
"     chy:\n",
"\n",
"     TopLevelShell viewShell\n",
"       Form viewForm\n",
"         Command viewDoneButton\n",
"         Command viewDownButton\n",
"         Command viewUpButton\n",
"         Command viewSaveButton\n",
"         Text viewText\n",
"\n",
"     The title of the TopLevel shell  is\n",
"     set  to  the  basename  of the file\n",
"     being viewed in the viewText.   The\n",
"     operation  of  the  buttons  is all\n",
"     hard-coded.    Clicking   on    the\n",
"     viewSaveButton  results in the fol-\n",
"     lowing  panel  being  displayed  to\n",
"     select the file to save to:\n",
"\n",
"     TopLevelShell viewSaveShell\n",
"       Form viewSaveForm\n",
"         Label viewSaveLabel\n",
"         AsciiText viewSaveLabelText\n",
"         XfwfFileChooser fileChooser\n",
"         Label viewSaveTextLabel\n",
"         AsciiText viewSaveText\n",
"         Command viewSaveOkButton, viewSaveCancelButton\n",
"\n",
"     The viewSaveLabelText indicates the\n",
"     name  of  the  temporary  file from\n",
"     which the save should be  made  and\n",
"     connot  be changed. The fileChooser\n",
"     and fileText allow  you  to  select\n",
"     the file to save to.\n",
"\n",
NULL,
"  Help Panel Widgets\n",
"     The \"Help\" button in Xarchie's  top\n",
"     pane  pops up the Help panel, which\n",
"     has the following widget hierarchy:\n",
"\n",
"     TopLevelShell  helpShell\n",
"       Form  helpForm\n",
"         Label  helpLabel\n",
"         Viewport  helpViewport\n",
"         List  helpList\n",
"         Text  helpText\n",
"         Command  helpDoneButton\n",
"         Command  helpPrevButton\n",
"         Command  helpNextButton\n",
"         Command  helpDownButton\n",
"         Command  helpUpButton\n",
"\n",
"     The helpLabel identifies  the  ver-\n",
"     sion   of  Xarchie.   The  helpList\n",
"     displays the help topics,  and  the\n",
"     corresponding  text is displayed in\n",
"     the helpText.   The  helpDoneButton\n",
"     invokes the help-done() action, the\n",
"     helpPrevButton     invokes      the\n",
"     help-prev()  action,  and the help-\n",
"     NextButton invokes the  help-next()\n",
"     action. The helpDownButton and hel-\n",
"     pUpButton  invoke  the  help-down()\n",
"     and help-up() actions respectively.\n",
"\n",
NULL,
"  About Panel Widgets\n",
"     Selecting the \"About\" item  on  the\n",
"     File  menu pops up the About panel,\n",
"     which  has  the  following   widget\n",
"     hierarchy:\n",
"\n",
"     TopLevelShell aboutShell\n",
"       Form aboutForm\n",
"         Label aboutLabel{0,1,2,3,4,5}\n",
"         Command aboutDoneButton\n",
"\n",
"     The labels are set to  display  the\n",
"     version  of  Xarchie and other con-\n",
"     tact information. There  is  little\n",
"     you  can  or  should  do with these\n",
"     widgets.\n",
"\n",
NULL,
"  Popup Widgets\n",
"     Finally, two types of popup windows\n",
"     can appear. An Alert box signals an\n",
"     error and blocks until clicked  in;\n",
"     a  Confirm  box  allows the user to\n",
"     make a Yes/No decision. These  have\n",
"     the following widget hierarchies:\n",
"\n",
"     TransientShell alertShell\n",
"       Dialog alertDialog\n",
"         Command okButton\n",
"\n",
"     TransientShell confirmShell\n",
"       Dialog confirmDialog\n",
"         Command yesButton,noButton\n",
"\n",
"     respectively. Several  actions  are\n",
"     defined  (see  below)  for  use  in\n",
"     these popups.\n",
"\n",
NULL,
"  Menus\n",
"     The MenuButton widgets on both  the\n",
"     main  Xarchie  display  and  on the\n",
"     various panels use standard  Athena\n",
"     SimpleMenu  widgets.  The following\n",
"     naming  conventions  are  used   to\n",
"     allow resources to be specified: if\n",
"     the  parent  SimpleMenu  widget  is\n",
"     named \"fooMenu\", then the SmeBSBOb-\n",
"     jects making  up  the  entries  are\n",
"     named   \"fooMenuItemn\",   where   n\n",
"     starts at 0 for the first  item  in\n",
"     the  menu.  The menus are all chil-\n",
"     dren of  the  main  Xarchie  shell,\n",
"     toplevel.   For  example,  the File\n",
"     menu has widget hierarchy\n",
"\n",
"     SimpleMenu  fileMenu\n",
"       SmeBSB  menuLabel\n",
"         SmeBSB  fileMenuItem{0,1,2,3,4,5,6}\n",
"\n",
"     There are three things  worth  men-\n",
"     tioning. First, as noted above, the\n",
"     settingsMenu uses special  transla-\n",
"     tions  and  the  settings-submenu()\n",
"     action to allow pullright submenus.\n",
"     Secondly,  the  submenus  available\n",
"     from the Settings menu (searchMenu,\n",
"     sortMenu,  niceMenu,  and hostMenu)\n",
"     and those available on the Settings\n",
"     Panel  (setSearchMenu, setSortMenu,\n",
"     setNiceMenu, and setHostMenu)  have\n",
"     the  same  labels but are different\n",
"     widgets  with  different   effects.\n",
"     The   Settings   Panel  menus  (the\n",
"     second group) only update the  Set-\n",
"     tings  panel,  requiring  the  Done\n",
"     button  to  be  clicked   to   take\n",
"     effect.  The Settings menu submenus\n",
"     (the  first  group)   take   effect\n",
"     immediately,  and also indicate the\n",
"     current item in the left margin  of\n",
"     the menu.\n",
"\n",
"     Finally,  the  number,  order,  and\n",
"     effect  of all menus are hardcoded,\n",
"     although the labels can, of course,\n",
"     be  changed  in  the resource file.\n",
"     However, changing the  labels  will\n",
"     NOT  change the effect of selecting\n",
"     the item, with the exception of the\n",
"     hostMenu  and  setHostMenu.   These\n",
"     menus use the  numHosts  non-widget\n",
"     resource to indicate how many items\n",
"     are on the menu. Thus you  can  add\n",
"     hosts  to  the menu by adding label\n",
"     resources     for      the      new\n",
"     hostMenuItem's  and  increasing the\n",
"     value of Xarchie.numHosts.  Xarchie\n",
"     parses  the labels to determine the\n",
"     hostname: anything up to whitespace\n",
"     constitutes   the   hostname   (and\n",
"     optional  port  number),   anything\n",
"     after is simply commentary.\n",
"\n",
NULL,
" Translation Actions\n",
"     The following action procedures are\n",
"     registered  for  Xarchie and can be\n",
"     bound to widget  events  using  the\n",
"     translations  resource  (see the Xt\n",
"     manual, Appendix C). The actions of\n",
"     the  browser widgets are hard-coded\n",
"     since  they  are  so  essential  to\n",
"     correct  behaviour.   They can how-\n",
"     ever be bound to  different  events\n",
"     using the notify() action (that is,\n",
"     you  could  notify  on  some  other\n",
"     event  than  mouse  clicks,  if you\n",
"     know what you're doing).\n",
"\n",
NULL,
"  Main panel actions\n",
"     quit()\n",
"          Exit Xarchie.  By default this\n",
"          is invoked by selecting \"Quit\"\n",
"          from the File menu or by  typ-\n",
"          ing  \"Meta-Q\"  in any non-Text\n",
"          widget.\n",
"\n",
"     query()\n",
"          Send the current  contents  of\n",
"          the  \"Search Term\" text widget\n",
"          (searchText)  to  Archie.   By\n",
"          default  this  is performed by\n",
"          hitting Return  in  searchText\n",
"          or  by  selecting \"Query Item\"\n",
"          from the Query menu.\n",
"\n",
"     query-host()\n",
"          Fills  the  browser  with  the\n",
"          contents of the root directory\n",
"          of the host given by the  con-\n",
"          tents   of   the  \"Host\"  text\n",
"          widget (hostText).  By default\n",
"          this  is  performed by hitting\n",
"          Return in hostText  or  by  by\n",
"          selecting  \"Query  Host\"  from\n",
"          the Query menu.\n",
"\n",
"     query-location()\n",
"          Fills  the  browser  with  the\n",
"          contents   of   the  directory\n",
"          given by the  \"Location\"  text\n",
"          widget  (locationText) and the\n",
"          host given by the contents  of\n",
"          the  \"Host\" text widget (host-\n",
"          Text).   By  default  this  is\n",
"          performed by hitting Return in\n",
"          locationText or  by  selecting\n",
"          \"Query   Location\"   from  the\n",
"          Query menu.\n",
"\n",
"     abort()\n",
"          Aborts the  current  query  at\n",
"          the soonest possible time. Has\n",
"          no effect is a  query  is  not\n",
"          currently  being processed. By\n",
"          default,   this   invoked   by\n",
"          clicking  on  the Abort button\n",
"          when it is active.\n",
"\n",
"     query-or-abort()\n",
"          Invokes  either   query()   or\n",
"          abort(),  depending on whether\n",
"          a query is in progress.\n",
"\n",
"     about()\n",
"          Pops up the About panel.\n",
"\n",
"     ftp-get()\n",
"          Begin   retrieval    of    the\n",
"          currently-selected  files.  By\n",
"          default  this  is  invoked  by\n",
"          selecting   \"Get\"   from   the\n",
"          \"File\"  menu,  or  by   typing\n",
"          \"Meta-G\"   in   any   non-Text\n",
"          widget.\n",
"\n",
NULL,
"  Browser actions\n",
"     Items are selected in  the  browser\n",
"     using  the  Left  mouse  button, as\n",
"     usual.  Clicking  with  Shift  does\n",
"     not  clear other selections, allow-\n",
"     ing multiple  selections.  This  is\n",
"     implemented using the XfwfMultiList\n",
"     translation    actions    Notify(),\n",
"     Set(),  Toggle(),  and  OpenMany(),\n",
"     unless your version of Xarchie  was\n",
"     compiled to not use the XfwfMultiL-\n",
"     ist widget (see  the  Imakefile  or\n",
"     your  local  installer).  Modify at\n",
"     your own risk!\n",
"\n",
"     The following actions are used  for\n",
"     other browser operations.\n",
"\n",
"     browser-up()\n",
"          Shifts the browser left (i.e.,\n",
"          up the file hierarchy) if pos-\n",
"          sible.   By  default  this  is\n",
"          invoked  by  clicking  on  the\n",
"          \"<<<\"  button   (browserUpBut-\n",
"          ton),  or by clicking the Mid-\n",
"          dle  mouse   button   in   the\n",
"          browser,  or  by  hitting  the\n",
"          \"Left\"  key  (often  the  left\n",
"          arrow on the cursor keypad).\n",
"\n",
"     browser-down()\n",
"          Shifts the browser right (ie.,\n",
"          down  the  file  hierarchy) if\n",
"          possible.  By default this  is\n",
"          invoked  by  clicking  on  the\n",
"          \">>>\" button  (browserDownBut-\n",
"          ton), or by clicking the Right\n",
"          mouse button in  the  browser,\n",
"          or  by hitting the \"Right\" key\n",
"          (often the right arrow on  the\n",
"          cursor keypad).\n",
"\n",
"     browser-top()\n",
"          Shifts  the  browser  to   its\n",
"          leftmost  position  (i.e., the\n",
"          top of  the  file  hierarchy).\n",
"          By  default this is invoked by\n",
"          clicking  with  Shift  on  the\n",
"          \"<<<\" button (browserUpButton)\n",
"          or by hitting the \"Home\" key.\n",
"     browser-open-directories()\n",
"          Expands selected  directories.\n",
"          If  the  browser  was expanded\n",
"          uniquely and successfully,  it\n",
"          will   be   shifted  right  to\n",
"          display the  new  information.\n",
"          By default, this is invoked by\n",
"          double-clicking     in     the\n",
"          browser.\n",
"\n",
"     browser-open-files()\n",
"          Retrieves  selected  files  by\n",
"          FTP  into a temporary file and\n",
"          displays them using View  win-\n",
"          dows.\n",
"\n",
"     browser-open-all()\n",
"          Opens the  selected  items  by\n",
"          expanding selected directories\n",
"          and retrieving selected  files\n",
"          for viewing.  By default, this\n",
"          is invoked by selecting \"Open\"\n",
"          from the File menu, or by typ-\n",
"          ing \"Meta-O\" in  any  non-text\n",
"          widget.\n",
"\n",
NULL,
"  Settings actions\n",
"     The following actions  control  the\n",
"     Settings  Panel  and can be used to\n",
"     change some settings without  using\n",
"     the panel.\n",
"\n",
"     popup-settings()\n",
"          Pops up  the  Settings  Panel,\n",
"          and resets its values to those\n",
"          currently  in  effect.  Raises\n",
"          the  Settings  Panel  if it is\n",
"          already popped up. By  default\n",
"          this is performed by selecting\n",
"          \"Other\" on the Settings menu.\n",
"\n",
"     settings-apply()\n",
"          Sets the current settings from\n",
"          the  values  on  the  Settings\n",
"          Panel.   By  default  this  is\n",
"          performed   by   clicking  the\n",
"          \"Apply\" button on the Settings\n",
"          Panel.\n",
"\n",
"     settings-default()\n",
"          Resets the values on the  Set-\n",
"          tings  Panel  to  the  default\n",
"          settings, but does not  affect\n",
"          the current settings until the\n",
"          settings-apply()   action   is\n",
"          invoked.  By  default, this is\n",
"          invoked  by  clicking  on  the\n",
"          \"Default\"  button  on the Set-\n",
"          tings Panel.\n",
"\n",
"     settings-done()\n",
"          Pops down the Settings  Panel.\n",
"          If there are changes that have\n",
"          not be applied, then  a  popup\n",
"          confirm box allows the user to\n",
"          discard  the  settings  or  go\n",
"          back   and   apply  them.   By\n",
"          default, this  is  invoked  by\n",
"          clicking  on the \"Done\" button\n",
"          on the Settings Panel.\n",
"\n",
"     set-host(hostname)\n",
"          This action  sets  the  Archie\n",
"          host  as indicated on the Set-\n",
"          tings  Panel,  but  does   not\n",
"          affect  the  current  settings\n",
"          until   the   settings-apply()\n",
"          action is invoked.\n",
"\n",
"     set-host-now(hostname)\n",
"          Sets the Archie  host  immedi-\n",
"          ately   without   waiting  for\n",
"          settings-apply().\n",
"\n",
"     set-search-type(type)\n",
"          This  action  sets  the  sear-\n",
"          chType  as  indicated  on  the\n",
"          Settings Panel, but  does  not\n",
"          affect  the  current  settings\n",
"          until   the   settings-apply()\n",
"          action is invoked.\n",
"\n",
"     set-search-type-now(type)\n",
"          Sets  the  searchType  immedi-\n",
"          ately   without   waiting  for\n",
"          settings-apply().\n",
"\n",
"     set-sort-type(type)\n",
"          This action sets the  sortType\n",
"          as  indicated  on the Settings\n",
"          Panel, but does not affect the\n",
"          current   settings  until  the\n",
"          settings-apply()   action   is\n",
"          invoked.\n",
"\n",
"     set-sort-type-now(type)\n",
"          Sets the sortType  immediately\n",
"          without       waiting      for\n",
"          settings-apply().\n",
"\n",
"     set-nice-level(level)\n",
"          This action sets the niceLevel\n",
"          as  indicated  on the Settings\n",
"          Panel, but does not affect the\n",
"          current   settings  until  the\n",
"          settings-apply()   action   is\n",
"          invoked.\n",
"\n",
"     set-nice-level-now(level)\n",
"          Sets the niceLevel immediately\n",
"          without       waiting      for\n",
"          settings-apply().\n",
"\n",
"     settings-submenu()\n",
"          This action procedure is docu-\n",
"          mented here only for complete-\n",
"          ness. It should only  be  used\n",
"          for  BtnMotion  events  in the\n",
"          settingsMenu    widget.     It\n",
"          invokes     the    appropriate\n",
"          pullright menu  for  the  Set-\n",
"          tings  menu.  Believe  me, you\n",
"          don't want to deal with this.\n",
"\n",
NULL,
"  File actions\n",
"     The operation of the File panel  is\n",
"     hard-coded.  The  following actions\n",
"     are used to pop it up however:\n",
"\n",
"     file-save()\n",
"          Pops up the  File  panel,  and\n",
"          resets  its values in prepara-\n",
"          tion for saving the  database.\n",
"          By  default this is invoked by\n",
"          selecting  \"Save\"   from   the\n",
"          \"File\"   menu   or  by  typing\n",
"          \"Meta-S\"   in   any   non-Text\n",
"          widget.\n",
"\n",
"     file-load()\n",
"          Pops up the  File  panel,  and\n",
"          resets  its values in prepara-\n",
"          tion for reloading  the  data-\n",
"          base.   By   default  this  is\n",
"          invoked  by  selecting  \"Load\"\n",
"          from  the  \"File\"  menu  or by\n",
"          typing \"Meta-L\"  in  any  non-\n",
"          Text widget.\n",
"\n",
"     file-write()\n",
"          Pops up the  File  panel,  and\n",
"          resets  its values in prepara-\n",
"          tion for writing the  database\n",
"          in  a  human-readable form. By\n",
"          default  this  is  invoked  by\n",
"          selecting   \"Write\"  from  the\n",
"          \"File\"  menu  or   by   typing\n",
"          \"Meta-W\"   in   any   non-Text\n",
"          widget.\n",
"\n",
NULL,
"  Help actions\n",
"     help()\n",
"          Pops up the Help panel.\n",
"\n",
"     help-done()\n",
"          Dismisses the Help panel.\n",
"\n",
"     help-prev()\n",
"     help-next()\n",
"          Selects the previous  or  next\n",
"          help topic, respectively.\n",
"\n",
"     help-up()\n",
"     help-down()\n",
"          Scrolls  the   text   of   the\n",
"          current  help topic up or down\n",
"          one page, respectively.   This\n",
"          is an alternative to using the\n",
"          Text widget's scrollbar.\n",
"\n",
NULL,
"  Miscellaneous actions\n",
"     ftp-trace-done()\n",
"          Dismisses the FTP  Trace  win-\n",
"          dow.   By   default,  this  is\n",
"          invoked  by  clicking  on  the\n",
"          \"Dismiss\"  button  in  the FTP\n",
"          Trace window.\n",
"\n",
NULL,
" Environment Variables\n",
"     The following environment variables\n",
"     are  used  by  Xarchie  if they are\n",
"     defined:\n",
"\n",
"     TMPDIR    - Directory for \"Open\"-ed\n",
"     files\n",
"     XAPPLRESDIR - Directory  containing\n",
"     Xarchie resource file\n",
"     USER      - Username for  FTP  mail\n",
"     address\n",
"     HOSTNAME    - Hostname for FTP mail\n",
"     address\n",
"\n",
NULL,
" Files\n",
"     Xarchie   -     default     Xarchie\n",
"     resource file\n",
"\n",
NULL,
" Diagnostics\n",
"     Xarchie indicates  X  errors  using\n",
"     the  ever-popular  default  X error\n",
"     handler that prints a  message  and\n",
"     dies, possibly leaving a large core\n",
"     dump somewhere.\n",
"\n",
"     Errors due  to  incorrect  resource\n",
"     specifications  cause an error mes-\n",
"     sage on stderr,  but  do  not  kill\n",
"     Xarchie (usually).\n",
"\n",
"     Errors due to incorrect  user  com-\n",
"     mands  or problems with the connec-\n",
"     tion to Archie result  in  a  popup\n",
"     alert box being displayed. Clicking\n",
"     on  the  indicated  button  in  the\n",
"     alert  box will make it go away and\n",
"     allow you to continue.\n",
"\n",
"     An incorrect value for the FTP mail\n",
"     address  (as  determined  from  the\n",
"     system information or from the USER\n",
"     and  HOSTNAME variables) can result\n",
"     in  access  being  denied  by  some\n",
"     anonymous   FTP  servers.  See  the\n",
"     description of  the  ftpMailAddress\n",
"     non-widget  resource if your system\n",
"     has problems with this.\n",
"\n",
"     If  you  continually   get   \"Can't\n",
"     resolve  hostname\"  errors when you\n",
"     try to query, then Xarchie was  not\n",
"     built  properly. Contact your local\n",
"     maintainer and  suggest  that  they\n",
"     read  the  PROBLEMS file concerning\n",
"     the \"resolv\" library.\n",
"\n",
"     If your queries  always  time  out,\n",
"     then  there  are two possibilities.\n",
"     First, and by far the most  likely,\n",
"     is  that the server is simply busy.\n",
"     Try again later. The  other  possi-\n",
"     bility  is that UDP traffic is dis-\n",
"     abled on your  system.  You  should\n",
"     contact  your  local maintainer and\n",
"     ask them to read the PROBLEMS files\n",
"     concerning UDP traffic.\n",
"\n",
NULL,
" Known Bugs\n",
"     Crashes have been observed when the\n",
"     Help  text is scrolled. There is no\n",
"     fix, but see the PROBLEMS file  for\n",
"     some discussion.\n",
"\n",
"     The   list   of   files   in    the\n",
"     FileChooser  widgets  don't seem to\n",
"     get  displayed  properly  all   the\n",
"     time. That is, sometimes items seem\n",
"     to be drawn on top of  each  other.\n",
"     Refreshing    the    window   (eg.,\n",
"     iconify/deiconify   or    scrolling\n",
"     up/down)  clears  it up. This seems\n",
"     like an Xaw bug, but  is  difficult\n",
"     to repeat in isolation.\n",
"\n",
"     Your mileage may vary regarding the\n",
"     Xarchie  icon  changing  to reflect\n",
"     search and  transfer  status.  Your\n",
"     window   manager  may  not  support\n",
"     application-specified icons, or may\n",
"     not  support  them changing dynami-\n",
"     cally. See the  PROBLEMS  file  for\n",
"     some discussion.\n",
"\n",
"     It is  not  currently  possible  to\n",
"     abort   during  nameserver  lookup.\n",
"     Perhaps some day I'll get motivated\n",
"     to add asynchronous DNS code.\n",
"\n",
"     The browser has a  hard-coded  max-\n",
"     imum depth, beyond which you cannot\n",
"     expand directories. I  don't  think\n",
"     it will be a major problem however.\n",
"\n",
NULL,
" Reporting Bugs\n",
"     If you have problems with or  ques-\n",
"     tions  about  an  individual Archie\n",
"     server site,  contact  archie-admin\n",
"     at that site. If you have any ques-\n",
"     tions about Archie itself, write to\n",
"     info@bunyip.com.  If you have ques-\n",
"     tions  about  Prospero,  write   to\n",
"     info-prospero@isi.edu.  The  USENET\n",
"     newsgroup  comp.archives.admin  may\n",
"     also be helpful.\n",
"\n",
"     If you have a problem, please  read\n",
"     the  \"Known  Bugs\"  section  first,\n",
"     then contact your local  maintainer\n",
"     and/or  refer  to  the PROBLEMS and\n",
"     INSTALL files in the  Xarchie  dis-\n",
"     tribution.\n",
"\n",
"     When  reporting   bugs,   problems,\n",
"     suggestions    or    contributions,\n",
"     please be sure to send them to  the\n",
"     right  place.  Issues  dealing with\n",
"     the X interface should be  sent  to\n",
"     George                     Ferguson\n",
"     (ferguson@cs.rochester.edu). Please\n",
"     be   sure   to  include  sufficient\n",
"     details,  including  hardware,  OS,\n",
"     compiler,  version  of  X,  and the\n",
"     like.  No amount of detail  is  too\n",
"     much.\n",
"\n",
"     Brendan Kehoe  (brendan@cygnus.com)\n",
"     is  in charge of the archie clients\n",
"     and  most  of  the  network   stuff\n",
"     underlying  Xarchie,  Cliff  Neuman\n",
"     (bcn@isi.edu) is in charge of Pros-\n",
"     pero,  and  Alan  Emtage  and Peter\n",
"     Deutsch ({bajan,peterd}@bunyip.com)\n",
"     are in charge of the Archie project\n",
"     itself.  Individual archie servers,\n",
"     however,  are maintained locally at\n",
"     each    server    site     (archie-\n",
"     admin@<server-host>).\n",
"\n",
NULL,
"AUTHOR\n",
"     George  Ferguson,   University   of\n",
"     Rochester,\n",
"     (ferguson@cs.rochester.edu)\n",
"\n",
"     Original standalone archie  program\n",
"     by Brendan Kehoe,\n",
"     (brendan@cs.widener.edu).\n",
"\n",
"     Original Prospero archie program by\n",
"     Clifford Neuman,\n",
"     (bcn@isi.edu).\n",
"\n",
"     The archie service was conceived of\n",
"     and implemented by Alan Emtage\n",
"     (bajan@bunyip.com), Peter Deutsch\n",
"     (peterd@bunyip.com) and Bill Heelan\n",
"     (wheelan@bunyip.com).\n",
"\n",
